import { usersRequestList } from "@/app/lib/users/action";
import { Box } from "@chakra-ui/react";
import UsersTable from "./component/table";
import { getRoles } from "@/app/lib/role/action";
import { SearchParamProps } from "@/types/searchParams";

export default async function Users({ searchParams }: SearchParamProps) {
  const fetchData = await usersRequestList({ ...searchParams });

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {fetchData?.data && <UsersTable data={fetchData?.data} />}
    </Box>
  );
}
